import { jsx } from "react/jsx-runtime";
import { TokenETN as TokenETN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenETN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ETN", "data-name": "TokenETN", ...props, children: /* @__PURE__ */ jsx(TokenETN$1, { variant }) });
  }
);
TokenETN.displayName = "TokenETN";
Object.assign(TokenETN, { isGdsIcon: true });
export {
  TokenETN
};
